package cn.iocoder.yudao.framework.apollo.core.dto;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 渠道对象
 *
 * @author 系统管理员
 */
@Data
public class ChannelDto extends BaseDO {

    /**
     * 渠道ID
     */
    private Long channelId;
    /**
     * 名称-中文
     */
    private String nameZh;
    /**
     * 名称-英文
     */
    private String nameEn;
    /**
     * 内部名称-中文
     */
    private String internalNameZh;
    /**
     * 内部名称-英文
     */
    private String internalNameEn;
    /**
     * 类型编码
     */
    private String typeNumber;
    /**
     * 简写编码
     */
    private String code;

    /**
     * 国家id
     */
    private Long countryId;
    /**
     * 仓库ID字符串
     */
    private String warehouseIds;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 快递ID
     */
    private String expressId;
    /**
     * 预计到达时间(天)
     */
    private Integer etaTime;
    /**
     * 渠道代理
     */
    private String channelAgent;
    /**
     * 备注-中文
     */
    private String remarksZh;
    /**
     * 备注-英文
     */
    private String remarksEn;
    /**
     * 状态(0:禁用 1:启用)
     */
    private Boolean status;

    /**
     * 清关单价
     */
    private BigDecimal customsClearUnit;

    /**
     * 每0.5kg单价
     */
    private BigDecimal weightUnitPrice;


    /**
     * 可出特性id
     */
    private String attrId;


    /**
     * 泡重比例
     */
    private BigDecimal bubbleWeightRatio;

}
