package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * 更新商品路线下的 线路重量上限 事件
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProductLineUpdateAutoProcessOverWeightExceptionEvent {

    /**
     * 商品id
     */
    private Long prodId;

    private Long lineId;

    private Long channelId;

    /**
     * 线路重量上限.老的
     */
    private BigDecimal lineWeightLimitOld;

    /**
     * 线路重量上限.新的
     */
    private BigDecimal lineWeightLimitNew;
}
